#ifndef FOO_HISTORY_CONFIG_H
#define FOO_HISTORY_CONFIG_H

#include "../SDK/foobar2000.h"
#include "../foosion_helpers/helpers.h"

// display settings
struct color_table
{
	DWORD color[16];
};

EXTERN_CONFIG_VAR_STRING(cfg_titleformat_history);
EXTERN_CONFIG_VAR_STRING(cfg_titleformat_statusbar);
EXTERN_CONFIG_VAR_STRING(cfg_titleformat_popup);

EXTERN_CONFIG_VAR_STRUCT(uLOGFONT, cfg_font_history);

extern cfg_struct_t<color_table> cfg_color_table;

EXTERN_CONFIG_VAR_INT(cfg_color_text);
EXTERN_CONFIG_VAR_INT(cfg_color_sel_text);
EXTERN_CONFIG_VAR_INT(cfg_color_bg);
EXTERN_CONFIG_VAR_INT(cfg_color_sel_bg);
EXTERN_CONFIG_VAR_INT(cfg_color_frame);

extern cfg_int cfg_toggle_ascending;

extern cfg_int cfg_toggle_sys_colors;
extern cfg_int cfg_toggle_sys_font;
extern cfg_int cfg_toggle_sys_frame;

// other UI settings
extern cfg_int cfg_max_popup_size;

// engine settings
extern cfg_int cfg_toggle_change_selection;

extern cfg_int cfg_max_size;

extern cfg_int cfg_toggle_save_history;

extern cfg_int cfg_toggle_log_mode;


#endif
