#if !defined(FOO_HISTORY__HISTORY_DIALOG_H)
#define FOO_HISTORY__HISTORY_DIALOG_H

#include "../SDK/foobar2000.h"
#include "../helpers/helpers.h"
#include "../foosion_helpers/helpers.h"
#include <history.h>
#include "history_window.h"

class dialog_history : public history_dialog_base {
private:
	HWND wnd_status;

protected:
	static dialog_history g_instance;

	dialog_history();

public:
	static void g_activate();
	static void g_destroy();

	//virtual BOOL on_message(UINT msg, WPARAM wp, LPARAM lp);

	void activate();
	void destroy();

	virtual BOOL on_initdialog(WPARAM wp, LPARAM lp);
	virtual BOOL on_destroy(WPARAM wp, LPARAM lp);

	virtual BOOL on_command(WPARAM wp, LPARAM lp);
	virtual BOOL on_notify(WPARAM wp, LPARAM lp);

	virtual void layout();

	virtual void set_status_text(const char * text, bool is_menu);
	virtual void set_caption_text(const char * text);
};


#endif //!defined(FOO_HISTORY__HISTORY_DIALOG_H)
